Description

This originates from #28119#note-2.

1. We might want to add a simple test (like ApplicationHelperTest#test footnotes, but than in
source:trunk/test/unit/lib/redmine/wiki_formatting/markdown_formatter_test.rb) for markdown footnotes as enabled per #16072.
2. And while looking at the above, the question of 'how many other textile syntax tests are there remaining, lurking outside of
source:/trunk/test/unit/lib/redmine/wiki_formatting/textile_formatter_test.rb and what do we want to do with them?' came up...
o The answer to the first part would be 'several' (among them e.g. ApplicationHelperTest#test_footnotes). My answer to the
second part of the question would be 'move them to the dedicated TextileFormatterTest class'.

I'll leave two patches against source:/trunk@17198:

® 0001-Add-footnotes-test-for-markdown-formatter-16072.patch
o This patch adds a footnotes test for the markdown formatter (MarkdownFormatterTest#test_footnotes).
¢ 0002-Move-textile-footnotes-test-to- TextileFormatterTest.patch
o This patch moves ApplicationHelperTest#test_footnotes to become TextileFormatterTest#test_footnotes.

In case there is consensus on my answer to the question raised under point 2, I'll open a dedicated container issue for it.

Note: | won't target this issue to any version, as | don't think this is of any use for the changelogs.

Related issues:
Related to Redmine - Feature #16072: Markdown footnote support Closed

Associated revisions

Revision 17221 - 2018-03-02 05:55 - Go MAEDA
Add footnotes test for markdown formatter (#28207).

Patch by Mischa The Evil.

Revision 17222 - 2018-03-02 05:58 - Go MAEDA

Move textile footnotes test to TextileFormatterTest (#28207).

Patch by Mischa The Euvil.

History

#1 - 2018-02-18 00:06 - Mischa The Evil
- Related to Feature #16072: Markdown footnote support added

#2 - 2018-03-02 05:48 - Go MAEDA

- Target version set to 4.0.0

#3 - 2018-03-02 06:00 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed. Thank you for improving the test suite.

Files

2025-07-16 1/2



https://www.redmine.org/issues/28119#note-2
0001-Add-footnotes-test-for-markdown-formatter-16072.patch 1.31 KB 2018-02-17 Mischa The Evil
0002-Move-textile-footnotes-test-to-TextileFormatterTest.patch 2.09 KB 2018-02-17 Mischa The Evil
